API DocumentationManufacturer production schedule

Get each machine's setup and work

GET
/api/manufacturer/v1/schedule/machines

For each active production resource: the material, colour and sheet thickness loaded on it, the builds running on it now, and the next build the current plan puts on it. A build that staff recorded on the machine has recorded true; otherwise the scheduler chose the machine.

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Response Body

Machines successfully retrieved

application/json
  1. response
[index: integer]?
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/schedule/machines'
[  {    "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6",    "name": "string",    "tags": [      "string"    ],    "setup": {      "materialId": 0,      "materialName": "string",      "colorId": 0,      "colorName": "string",      "sheetThickness": 0,      "source": "BUILD",      "setAt": "2019-08-24T14:15:22Z",      "setBy": "string",      "stepId": "50e29fb7-490e-4a88-b2f4-2fde4d70423d",      "buildName": "string"    },    "running": [      {        "itemId": "string",        "stepId": "50e29fb7-490e-4a88-b2f4-2fde4d70423d",        "buildName": "string",        "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",        "operationName": "string",        "startAt": "2019-08-24T14:15:22Z",        "endAt": "2019-08-24T14:15:22Z",        "workOrderIds": [          "bda1f523-925e-485f-8a30-9b80cce3e701"        ],        "materialId": 0,        "materialName": "string",        "colorId": 0,        "colorName": "string",        "sheetThickness": 0,        "recorded": true,        "resourceIds": [          "195224a6-1e4c-49ac-860d-ffd7b0578a56"        ]      }    ],    "next": {      "itemId": "string",      "stepId": "50e29fb7-490e-4a88-b2f4-2fde4d70423d",      "buildName": "string",      "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",      "operationName": "string",      "startAt": "2019-08-24T14:15:22Z",      "endAt": "2019-08-24T14:15:22Z",      "workOrderIds": [        "bda1f523-925e-485f-8a30-9b80cce3e701"      ],      "materialId": 0,      "materialName": "string",      "colorId": 0,      "colorName": "string",      "sheetThickness": 0,      "recorded": true,      "resourceIds": [        "195224a6-1e4c-49ac-860d-ffd7b0578a56"      ]    },    "nextNeedsSetupChange": true,    "nextChangeover": {      "from": {        "materialId": 0,        "materialName": "string",        "colorId": 0,        "colorName": "string",        "sheetThickness": 0      },      "to": {        "materialId": 0,        "materialName": "string",        "colorId": 0,        "colorName": "string",        "sheetThickness": 0      },      "startAt": "2019-08-24T14:15:22Z",      "endAt": "2019-08-24T14:15:22Z"    }  }]